id: sap-nw-webgui

info:
  name: SAP NetWeaver WebGUI Detection
  author: randomstr1ng
  severity: info
  description: Detection of SAP NetWeaver ABAP Webserver WebGUI
  metadata:
    max-request: 1
  tags: sap,webserver,tech

http:
  - method: GET
    path:
      - "{{BaseURL}}/sap/bc/gui/sap/its/webgui"

    host-redirects: true
    max-redirects: 2
    matchers:
      - type: word
        part: body
        words:
          - "sap-system-login"
          - "<title>Logon</title>"
        condition: or
# digest: 4b0a00483046022100af773b7f2f71b810e28bd9664313a76542f6faa8e091b5e4cd5edabc328c1ec8022100f1ea378cbfdf7036f9866435d5ec06b09f5d42d4c5ba6cddc146d53cbea1a75a:922c64590222798bb761d5b6d8e72950